#!/bin/sh
# Generate a release-ready tarball
# 1. parameter: version number
# 2. parameter: if "stable", than a stable release is produced, else an unstable release.
SCRIPTDIR=`pwd`


cd ${SCRIPTDIR}
./set-version.sh $1 $2 # must be _before_ generating apidoc because it changes doxygen file
cd ${SCRIPTDIR}
./extract-messages.sh
cd ${SCRIPTDIR}
./remove-old-apidoc.sh
cd ${SCRIPTDIR}
./increase-gui-version.sh
cd ${SCRIPTDIR}
./make-apidoc.sh
cd ${SCRIPTDIR}
./remove-build-files.sh # This is done before compiling to make sure to make a build from zero, like the user will do.
cd ${SCRIPTDIR}
./cmake.sh
cd ${SCRIPTDIR}
./generate-manpage.sh
cd ${SCRIPTDIR}
./remove-build-files.sh # Delete build files again.
cd ${SCRIPTDIR}
./codecheck.sh
cd ${SCRIPTDIR}
if [ "$2" = "stable" ];
then ./create-archive.sh "kstreamripper" "$1" "$2" "make-devel-doc";
else ./create-archive.sh "kstreamripper-unstable" "$1.unstable" "$2" "make-devel-doc";
fi
cd ${SCRIPTDIR}
./all-jobs-build.sh