#!/bin/sh
#
# Creates a .tar.bz2 archive of the development directory.
#
# Expects the name of the archive (without extension) and the version number as parameter.
#
# If the thierd parameter is "make-devel-doc" then a devel-doc package will be created.
#
# If the archive exists yet, the old archive will be deleted.
SCRIPTDIR=`pwd`



echo "Increase GUI version number"
OLDVERSIONNUMBER=`cat ${SCRIPTDIR}/../data/kstreamripperui.rc | grep "version[ 	]*=[ 	]*\"[ 	]*[01-9][01-9]*[ 	]*\"" | sed  -e "s/version[ 	]*=[ 	]*\"[ 	]*\([01-9][01-9]*\)[ 	]*\"/\1+1/g" | bc`
cat ${SCRIPTDIR}/../data/kstreamripperui.rc | sed  -e "s/version[ 	]*=[ 	]*\"[ 	]*\([01-9][01-9]*\)[ 	]*\"/version=\"${OLDVERSIONNUMBER}\"/g" > ${SCRIPTDIR}/../data/kstreamripperui.rc.new
mv ${SCRIPTDIR}/../data/kstreamripperui.rc.new ${SCRIPTDIR}/../data/kstreamripperui.rc
echo "Done increasing GUI version number"
