#!/bin/sh
# Generates a dummy .cpp file for i18n with the "Summary" and "description" entry of the RPM spec file
# that is expected as parameter. Output goes to stdout.
# The description entry is simple the text between the lines starting with "#<description>" and "#</description>"

grep -H -n "^Summary[ 	]*:" $1 | sed -e "s/^\(.*:[0123456789]*\):Summary[ 	]*:[ 	]*\(.*[^ 	]\)[ 	]*/\/\/ i18n: file: \1\ni18nc(\"@info The application summary for binary packages\", \"\2\");\n/g"
# get a file "xx00" containing only the part after "#<description>"
csplit -q $1 %^\#\<description\>%+1
# rename this file to "tempfile"
cp ./xx00 ./tempfile
rm ./xx00
# create xx00 with the part up to "#</description>
# and a file xx01 with the rest
csplit -q ./tempfile /^\#\</description\>/
# remove unnecessary files
rm ./tempfile
rm ./xx01
# output the gettext comment that localices the occurens of the string
grep -H -n "^#<description>" $1 | sed -e "s/^\(.*:[0123456789]*\):#<description>.*$/\/\/ i18n: file: \1/g"
# output the dummy i18n call
echo -n "i18nc(\"@info The application description for binary packages\", "
# output   | exactly 1 space at end of each line    | empty/whitespace lines -> <nl/> | put " at the begin and end
cat ./xx00 | sed -e "s/^\(.*[^ 	]\)[	 ]*$/\1 /g" | sed -e "s/^[ 	]*$/<nl\/>/g" | sed -e "s/\(^.*$\)/\"\1\"/g"
echo ");"
echo
# remove remaining files
rm ./xx00
