#!/bin/sh
# Uploads a previously created release to sourceforge.net
# @param 1 version number (including "unstable" if it is an unstable release!)
# @param 2 should be or "stable" or "unstable", corresponding to the release type
SCRIPTDIR=`pwd`



echo "Submitting to sourceforge.net"
if [ "$2" = "stable" ]; # if second parameter is "stable"...
then PACKAGENAME=kstreamripper;
else PACKAGENAME=kstreamripper-unstable;
fi
read -p "Press Return to continue..."
echo "Please wait a moment. You will be prompted for your password immediatly..."
# do not stop the script on errors
set +e
scp ${SCRIPTDIR}/../../kstreamripper-release/$1-devel-doc/kstreamripper-devel-doc-$1.tar.bz2 sommerluk,kstreamripper@frs.sourceforge.net:/home/frs/project/k/ks/kstreamripper/${PACKAGENAME}
# switch back to default behavior
set -e
# The tarball of the program itself should be the last upload, because the last upload is always the recommended one.
read -p "Press Return to continue..."
echo "Please wait a moment. You will be prompted for your password immediatly..."
scp ${SCRIPTDIR}/../../kstreamripper-release/$1/${PACKAGENAME}-$1.tar.bz2 sommerluk,kstreamripper@frs.sourceforge.net:/home/frs/project/k/ks/kstreamripper/${PACKAGENAME}
echo "Done submitting to sourceforge.net"
