/*
    Copyright (C) 2008-2010  Lukas Sommer < SommerLuk at gmail dot com >

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License or (at your option) version 3 or any later version
    accepted by the membership of KDE e.V. (or its successor approved
    by the membership of KDE e.V.), which shall act as a proxy
    defined in Section 14 of version 3 of the license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MDEBUG_H
#define MDEBUG_H

#include <QString>
#include <KDebug>

/** An extended version of kDebug, pointing out the line number.
    \note You should use this macro only \e after creating the KApplication instance.
    Before creating the KApplication instance, the messages will always to the the
    installed message handler, independently of the settings in <tt>kdebugdialog</tt>.
    So, if using #myMessageOutput(), we would create a log file with these first messages,
    also when the user has disabled debug output in <tt>kdebugdialog</tt>. */
#define mDebug() kDebug() << QString(__BASE_FILE__).section('/', -1) + ':' + QString::number(__LINE__) << "\n=>"

#endif
